> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an email template embed to edit an existing email template



## OpenAPI

````yaml /openapi.json post /email_templates/{id}/embeds
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /email_templates/{id}/embeds:
    post:
      tags:
        - Email template embeds
      summary: Create an email template embed to edit an existing email template
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the email template
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                expires_in:
                  type: number
                  description: The number of seconds until the embed will expire
      responses:
        '200':
          description: The created `EmailTemplateEmbed` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailTemplateEmbed'
components:
  schemas:
    EmailTemplateEmbed:
      type: object
      properties:
        id:
          type: string
          description: The ID of the email template embed
        expires_at:
          type: string
          description: When the email template embed expires and needs to be regenerated
        email_template:
          type: string
          nullable: true
          description: The email template associated with this embed
        business:
          type: string
          description: The business associated with this embed
        url:
          type: string
          description: The URL to embed the email template editor
      required:
        - id
        - expires_at
        - email_template
        - business
        - url
      title: The Email Template Embed object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````